// Code generated by "stringer -type=CommonCertificateFilterRenewalStatus -linecomment -output zzz_CommonCertificateFilterRenewalStatus_string.go"; DO NOT EDIT.

package sectigoapiclient

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[RenewalStatusNotScheduled-1]
	_ = x[RenewalStatusScheduled-2]
	_ = x[RenewalStatusStarted-3]
	_ = x[RenewalStatusSuccessful-4]
	_ = x[RenewalStatusFailed-5]
}

const _CommonCertificateFilterRenewalStatus_name = "NOT_SCHEDULEDSCHEDULEDSTARTEDSUCCESSFULFAILED"

var _CommonCertificateFilterRenewalStatus_index = [...]uint8{0, 13, 22, 29, 39, 45}

func (i CommonCertificateFilterRenewalStatus) String() string {
	i -= 1
	if i < 0 || i >= CommonCertificateFilterRenewalStatus(len(_CommonCertificateFilterRenewalStatus_index)-1) {
		return "CommonCertificateFilterRenewalStatus(" + strconv.FormatInt(int64(i+1), 10) + ")"
	}
	return _CommonCertificateFilterRenewalStatus_name[_CommonCertificateFilterRenewalStatus_index[i]:_CommonCertificateFilterRenewalStatus_index[i+1]]
}
